Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 1007 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoVyhledávání i v rozvržení

 Odpovědět Odpovědět archiv
Autor
maiklss Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 08.říj.2008
Lokalita: ČR (VY)
Používám:
Inventor
Stav: Offline
Bodů: 1555
Přímý odkaz na tuto zprávu Téma: Vyhledávání i v rozvržení
    Zasláno: 08.dub.2019 v 14:38
Dobrý den,  mám  DWG co má  256 listu  rozvržení ale  kdo to  tvořil tak  dal  text do  stejné hladiny jako  osy tak bych potřeboval  ted ten  text dát do jiné  hladiny jde to nějak  jednoduše?  rychlý výběr mi vždy vybere v daném  rozvžení nebo  modelu ale potřebuji vybrat ve všech rozvrženích
Když můžu pomůžu:)
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 20024
Přímý odkaz na tuto zprávu Zasláno: 08.dub.2019 v 14:49
Jde o to, jestli ty texty mají něco společného, aby je bylo možné je hromadně vybrat nějakým filtrem. Pokud mají např. stejné znění, šlo by použít:
 
(sssetfirst nil (ssget "_X" '((1 . "blbej text"))))
 
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
maiklss Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 08.říj.2008
Lokalita: ČR (VY)
Používám:
Inventor
Stav: Offline
Bodů: 1555
Přímý odkaz na tuto zprávu Zasláno: 08.dub.2019 v 14:58
Děkuji
Entity na modelu mi to vybere ale nemám je možnost změnít
 

Lze do příkazu zadat i přesun do hladiny XY? 
Když můžu pomůžu:)
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 20024
Přímý odkaz na tuto zprávu Zasláno: 08.dub.2019 v 15:45
Nesmí být v zamčené hladině, jinak by měly jít změnit tím popsaným způsobem. Ještě jsme doplnili utilitu SSX aby šlo vybírat i texty maskou, bez "programování" ssget.
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
C3D 2020
Stav: Offline
Bodů: 1588
Přímý odkaz na tuto zprávu Zasláno: 08.dub.2019 v 16:29
Nebo takto...

(defun c:MoveTextToLayer (/ l1 l2 ss i)
  
  (if (and (setq l1 (car (entsel "\nSelect object for source layer: ")))
           (setq l1 (assoc 8 (entget l1)))
           (setq l2 (car (entsel "\nSelect object for target layer: ")))
           (setq l2 (assoc 8 (entget l2)))
           (setq ss (ssget "_X" (list '(0 . "*TEXT") l1)))
           )
    (repeat (setq i (sslength ss))
      (entmod (subst l2 l1 (entget (ssname ss (setq i (1- i))))))))
  (princ)
  )
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 3920:VIPDoplnění dalších aplikací do rozpoznání síťového vyhledávání v Autodesk Product Manageru.
Tip 7166:Vyhledávání CAD bloků přímo z Hledání ve Windows 7.
Tip 11085:Snadné vyhledávání dílů v sestavě.
Tip 6374:VIPK čemu slouží proces AcDwgFilterImp16.exe v Task Manageru?
Tip 7052:Nově vytvořené rozvržení je prázdné (neobsahuje model).
Tip 1245:Záplava rozvržení v AutoCADu.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,109 sekund.